- Create Parameter
- Get Parameter
- Get Parameters
- Update Parameter
- Delete Parameter
POST /api/v1/metrics/parameterCreate a metric parameter.Responseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a metric parameter.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/metrics/parameter/{parameterId}Get one metric parameter by ID.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"Constant_Param".string
Example:
"Constant".string
Example:
"5000".boolean
Example:
true.string
Example:
"3b8d1dc6-ef33-4103-bd66-7d6eff6aa65e".string
Example:
"2026-08-18T06:06:33.379311Z".string
Example:
"2026-08-18T06:06:33.379652Z".string
Example:
"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/{parameterId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get one metric parameter by ID.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "Constant_Param",
"type": "Constant",
"value": "5000",
"is_active": true,
"id": "3b8d1dc6-ef33-4103-bd66-7d6eff6aa65e",
"created_at": "2026-08-18T06:06:33.379311Z",
"modified_at": "2026-08-18T06:06:33.379652Z",
"created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"
}
}
POST /api/v1/metrics/parameter/listList metric parameters with optional export.Request Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"Constant_Param".string
Example:
"Constant".string
Example:
"5000".boolean
Example:
true.string
Example:
"3b8d1dc6-ef33-4103-bd66-7d6eff6aa65e".string
Example:
"2026-08-18T06:06:33.379311Z".string
Example:
"2026-08-18T06:06:33.379652Z".string
Example:
"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b".integer
Example:
2.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "List metric parameters with optional export.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "Constant_Param",
"type": "Constant",
"value": "5000",
"is_active": true,
"id": "3b8d1dc6-ef33-4103-bd66-7d6eff6aa65e",
"created_at": "2026-08-18T06:06:33.379311Z",
"modified_at": "2026-08-18T06:06:33.379652Z",
"created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"
}
],
"total_count": 2
}
}
PUT /api/v1/metrics/parameter/{parameterId}Update a metric parameter.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/{parameterId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a metric parameter.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/metrics/parameter/{parameterId}Soft-delete a metric parameter.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/{parameterId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Soft-delete a metric parameter.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}